summaryrefslogtreecommitdiffstats
path: root/init-scripts
diff options
context:
space:
mode:
authorMichael DeHaan <mdehaan@redhat.com>2008-02-07 13:13:24 -0500
committerMichael DeHaan <mdehaan@redhat.com>2008-02-07 13:13:24 -0500
commit8f2ff4d7c902d534d68ff1a16418b7be492033bf (patch)
tree73cd958ea6f8e0728592fec759848280b8891f12 /init-scripts
parent5b2601a56907b02efc6567354fa051ef08d97b6f (diff)
downloadcertmaster-8f2ff4d7c902d534d68ff1a16418b7be492033bf.tar.gz
certmaster-8f2ff4d7c902d534d68ff1a16418b7be492033bf.tar.xz
certmaster-8f2ff4d7c902d534d68ff1a16418b7be492033bf.zip
Carving away at func some more to just get down to cert items, still lots
more to do.
Diffstat (limited to 'init-scripts')
-rwxr-xr-xinit-scripts/funcd115
1 files changed, 0 insertions, 115 deletions
diff --git a/init-scripts/funcd b/init-scripts/funcd
deleted file mode 100755
index 63b98a2..0000000
--- a/init-scripts/funcd
+++ /dev/null
@@ -1,115 +0,0 @@
-#!/bin/sh
-#
-# funcd Fedora Unified Network Control
-###################################
-
-# LSB header
-
-### BEGIN INIT INFO
-# Provides: funcd
-# Required-Start: network
-# Required-Stop:
-# Default-Start: 3 4 5
-# Default-Stop: 0 1 2 6
-# Short-Description: Fedora Unified Network Control
-# Description: Crazy simple, secure remote management.
-### END INIT INFO
-
-# chkconfig header
-
-# chkconfig: - 99 99
-# description: Crazy simple, secure remote management.
-#
-# processname: /usr/bin/funcd
-
-# Sanity checks.
-[ -x /usr/bin/funcd ] || exit 0
-
-SERVICE=funcd
-PROCESS=funcd
-DAEMON=/usr/bin/funcd
-CONFIG_ARGS="--daemon"
-
-
-FuncStatus()
-{
- ps wt? | grep "$DAEMON" 2>&1 > /dev/null
- if [ "x$?" = "x0" ]; then
- RVAL=0
- echo "$DAEMON is running"
- else
- RVAL=3
- echo "$DAEMON is not running"
- fi
-}
-
-if [ -f /lib/lsb/init-functions ]; then
- . /lib/lsb/init-functions
- alias START_DAEMON=start_daemon
- alias STATUS=FuncStatus
- alias LOG_SUCCESS=log_success_msg
- alias LOG_FAILURE=log_failure_msg
- alias LOG_WARNING=log_warning_msg
-elif [ -f /etc/init.d/functions ]; then
- . /etc/init.d/functions
- alias START_DAEMON=daemon
- alias STATUS=status
- alias LOG_SUCCESS=success
- alias LOG_FAILURE=failure
- alias LOG_WARNING=passed
-else
- echo "Error: your platform is not supported by $0" > /dev/stderr
- exit 1
-fi
-
-
-RETVAL=0
-
-start() {
- echo -n $"Starting func daemon: "
- START_DAEMON $PROCESS $CONFIG_ARGS
- RETVAL=$?
- echo
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/$SERVICE
- return $RETVAL
-}
-
-stop() {
- echo -n $"Stopping func daemon: "
- killproc $PROCESS
- RETVAL=$?
- echo
- if [ $RETVAL -eq 0 ]; then
- rm -f /var/lock/subsys/$SERVICE
- rm -f /var/run/$SERVICE.pid
- fi
-}
-
-restart() {
- stop
- start
-}
-
-# See how we were called.
-case "$1" in
- start|stop|restart)
- $1
- ;;
- status)
- STATUS $PROCESS
- RETVAL=$?
- ;;
- condrestart)
- [ -f /var/lock/subsys/$SERVICE ] && restart || :
- ;;
- reload)
- echo "can't reload configuration, you have to restart it"
- RETVAL=$?
- ;;
- *)
- echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}"
- exit 1
- ;;
-esac
-exit $RETVAL
-